DF(1)

NIMI
df - report file system space usage

YLEISKATSAUS
df [VALITSIN]... [TIEDOSTO]...

KUVAUS
This manual page documents the GNU version of df. df displays the amount of space available on the file system containing each file name argument. If no file name is given, the space available on all currently mounted file systems is shown. Space is shown in 1K blocks by default, unless the environment variable POSIXLY_CORRECT is set, in which case 512-byte blocks are used.

If an argument is the absolute file name of a device node containing a mounted file system, df shows the space available on that file system rather than on the file system containing the device node. This version of df cannot show the space available on unmounted file systems, because on most kinds of systems doing so requires very nonportable intimate knowledge of file system structures.

VALITSIMET

Näytä tietoja tiedostojärjestelmästä, jolla kukin TIEDOSTO sijaitsee, tai oletuksena kaikista tiedostojärjestelmistä.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

-a, --all
    include pseudo, duplicate, inaccessible file systems

-B, --block-size=KOKO
    scale sizes by SIZE before printing them; e.g., '-BM' prints sizes in units of 1,048,576 bytes; see SIZE format below

-h, --human-readable
    print sizes in powers of 1024 (e.g., 1023M)

-H, --si
    print sizes in powers of 1000 (e.g., 1.1G)

-i, --inodes
    näytä i-solmutiedot lohkotietojen sijaan

-k  kuten --block-size=1K

-l, --local
    rajoita listaus paikallisiin tiedostojärjestelmiin

--no-sync
    älä kutsu synciä ennen tilatietojen selvittämistä (oletus)

--output[=FIELD_LIST]
    use the output format defined by FIELD_LIST, or print all fields if FIELD_LIST is omitted.

-P, --portability
    käytä POSIX-tulostemuotoa

--sync
    kutsu synciä ennen tilatietojen selvittämistä

--total
    elide all entries insignificant to available space, and produce a grand total

-t, --type=TYYPPI
    rajoita tiedostojärjestelmien listaus tietynTYYPPIsiin

-T, --print-type
    tulosta tiedostojärjestelmän tyyppi

-x, --exclude-type=TYYPPI
    rajoita tiedostojärjestelmien listaus muunTYYPPIsiin

-v  (ei huomioida)

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

Näyttöarvot ovat yksiköissä, joiden koko on ensimmäinen käytettävissä oleva KOKO --blocksize, ja DF_BLOCK_SIZE-, BLOCK_SIZE- ja BLOCKSIZE-ympäristömuuttujat. Muussa tapauksessa yksiköiden oletusarvo on 1 024 t ti :tä (tai 512, jos POSIXLY_CORRECT on määritetty).

SIZE-argumentti on kokonaisluku ja valinnainen yksikkö (esimerkki: 10K on 10*1024). Yksiköt ovat K,M,G,T,P,E,Z,Y (tehot 1024) tai KB,MB,... (1000:n valtuudet). Binaarien etuliitteenä voidaan käyttää myös: KiB=K, MiB=M ja niin edelleen.

FIELD_LIST is a comma-separated list of columns to be included. Valid field names are: 'source', 'fstype', 'itotal', 'iused', 'iavail', 'ipcent', 'size', 'used', 'avail', 'pcent', 'file' and 'target' (see info page).

TEKIJÄ
Kirjoittaneet Torbjorn Granlund, David MacKenzie ja Paul Eggert.

VIRHEISTÄ ILMOITTAMINEN
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

TEKIJÄNOIKEUDET
Copyright © 2022 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
Koko dokumentaatio: <https://www.gnu.org/software/coreutils/df>
tai saatavilla paikallisesti: info '(coreutils) df invocation'

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Jussi Larjo <larjo@cc.tut.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.